"use strict";

const { validateValue } = require("@validatem/core");
const oneOf = require("./");

let rule = oneOf(["one", 2, "three"]);

console.log(validateValue("one", [ rule ])); // one

console.log(validateValue(2, [ rule ])); // 2

console.log(validateValue("four", [ rule ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At (root): Must be one of: 'one', 2, 'three'
*/
